/* BASIC */
:root {
    --bg: #fff;
    --bg2: #f4f6fa;
    --bg3: #2b3144;
    --text: #16151a;
    --text1: #fff;
    --color1: #4768e0;
    --color2: #5076ff;
    --light: rgb(255 255 255 / 10%);
    --light2: rgb(255 255 255 / 30%);
    --dark: rgb(0 0 0 / 15%);
    --radius: 20px;
}

body {
    background: var(--bg);
    color: var(--text);
    line-height: normal;
    font-family: "Geologica", sans-serif;
    font-size: 14px;
    font-weight: 400;
}

/* HEADER */
header {
    position: relative;
    background: var(--color1);
    color: var(--text1);
    width: 100%;
    top: 0;
    padding: 10px 0;
    font-weight: 500;
}

header .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo {
    position: relative;
    font-size: 28px;
    font-weight: bold;
    margin-right: auto;
}

.header-top {
    background: var(--bg3);
    color: #a3a7bc;
    padding: 5px 0;
}

.header-top .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-menu > a {
    display: inline-block;
    padding: 5px 20px;
    transition: 0.3s;
}

.header-menu > a:hover {
    color: var(--text1);
}

.header-soc a {
    display: inline-block;
    border: 1px solid;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    line-height: 25px;
    text-align: center;
}

.header-soc a:hover {
    color: var(--bg2);
}

.header-soc a + a {
    margin-left: 5px;
}

/* MOB MENU 0.3 */
.mobmenu-btn {
    display: none;
}

@media (max-width: 860px) {
    .mobmenu-btn {
        display: block;
        background: var(--bg3);
        color: var(--text1);
        border-radius: var(--radius);
        width: 40px;
        height: 40px;
        line-height: 40px;
        font-size: 18px;
        text-align: center;
        margin-right: 20px;
    }

    .mobmenu-btn.active:before {
        content: "\f00d";
    }

    .mobmenu-btn.active {
        z-index: 9;
    }

    .mobmenu {
        position: fixed;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        top: 0;
        right: -300px;
        width: 240px;
        height: 100%;
        margin-left: 0;
        background: var(--bg3);
        color: var(--text1);
        transition: 0.3s;
        overflow-y: auto;
        z-index: 8;
    }

    .mobmenu.active {
        display: flex;
        align-items: flex-start;
        right: 0;
        padding: 20px;
        border-radius: 0;
    }

    .mobmenu a + div, .mobmenu a {
        display: block;
        width: 100%;
    }

    .mobmenu div > div {
        display: none;
        width: 100%;
        top: 0;
        column-count: 1;
    }

    .mobmenu div > a.active + div {
        position: relative;
        display: block;
        opacity: 1;
        visibility: visible;
    }
}

/* HEADER SEARCH 2.0 */
.header-search {
    position: relative;
    display: flex;
    align-items: center;
    background: var(--light);
    border-radius: var(--radius);
    margin-left: auto;
    margin-right: 10px;
    transition: 0.3s;
    z-index: 6;
}

@media (max-width: 860px) {
    .header-search.active {
        position: fixed;
        background: var(--color1);
        padding: 10px;
        border-radius: 0;
        top: 35px;
        left: 0;
        width: 100%;
        margin-left: 0;
    }
}

.header-search_icon, .header-search_close {
    display: inline-block;
    color: var(--text1);
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    font-size: 16px;
    cursor: pointer;
}

.header-search input {
    background: transparent;
    padding: 0;
    border-radius: 0;
    width: 0;
    transition: 0.3s;
}

.header-search.active input {
    width: 260px;
}

.header-search input::placeholder {
    color: var(--text1);
    opacity: 0.8;
    font-weight: 300;
}

.header-search.active .header-search_close {
    display: inline-block;
    cursor: pointer;
}

.header-search_close {
    display: none;
}

@media (max-width: 860px) {
    .header-search_close {
        position: absolute;
        opacity: 0.6;
        top: 0;
        right: 0;
        width: 60px;
        height: 60px;
        line-height: 60px;
        font-size: 25px;
        text-align: center;
    }
}

/* HEADER USER */
.header-user > img {
    display: inline-block;
    width: 40px;
    height: 40px;
    object-fit: cover;
    border-radius: 5px;
    cursor: pointer;
}

.header-user > a > i:first-child {
    display: inline-block;
    border: 1px solid var(--light);
    color: var(--text1);
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    text-align: center;
    border-radius: var(--radius);
    cursor: pointer;
}

.header-user > a i:last-child {
    margin-left: 5px;
    font-size: 16px;
    transition: 0.3s;
}

.header-user.active > a i:last-child {
    transform: rotate(180deg);
}

.header-user > div {
    position: absolute;
    background: var(--bg);
    color: var(--text);
    box-shadow: 0 0 20px 0 rgb(0 0 0 / 10%);
    border-radius: var(--radius);
    width: 220px;
    top: 100%;
    right: 0;
    visibility: hidden;
    opacity: 0;
    transition: 0.3s;
    overflow: hidden;
    z-index: 5;
}

.header-user.active > div {
    visibility: visible;
    opacity: 1;
    transform: translateY(10px);
}

.header-user_av {
    align-items: center;
    padding: 15px 20px;
    border-bottom: 1px solid var(--dark);
}

.header-user_av > img {
    width: 34px;
    height: 35px;
    object-fit: cover;
    border-radius: 50%;
}

.header-user_av > span {
    flex: 1 1 0%;
    max-width: 100%;
    min-width: 50px;
    margin-left: 10px;
    font-weight: bold;
}

.header-user_av > span span {
    display: block;
    font-size: 12px;
}

.header-user_menu a {
    display: block;
    padding: 8px 20px;
    font-size: 14px;
}

.header-user_menu a:hover {
    background: var(--color1);
    color: var(--text1);
}

.header-user_menu a i {
    margin-right: 10px;
    opacity: 0.8;
}

/* MODAL LOGIN 0.2 */
.modal-login > a {
    display: inline-block;
    background: var(--light);
    padding: 10px 20px;
    border-radius: var(--radius);
    cursor: pointer;
}

.modal-login > a i {
    margin-right: 10px;
    margin-top: 1px;
    float: left;
}

.modal-login form {
    display: none;
    position: fixed;
    min-width: 500px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    background: var(--bg);
    color: var(--text);
    padding: 40px 80px;
    border-radius: var(--radius);
    text-align: center;
    z-index: 9;
}

@media (max-width: 860px) {
    .modal-login form {
        min-width: 100%;
        padding: 30px;
        border-radius: 0;
    }
}

.modal-login form > i {
    position: absolute;
    top: 20px;
    right: 20px;
    background: var(--dark);
    color: var(--text1);
    border-radius: var(--radius);
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    cursor: pointer;
}

.modal-login form > i:hover {
    background: var(--color1);
}

.modal-login .e-float > a {
    position: absolute;
    top: 15px;
    right: 15px;
    border-bottom: 1px dotted #20a8d8;
}

.modal-login_lost {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #c5c5c5;
    margin-bottom: 20px;
}

.modal-login_lost a:hover {
    color: var(--color1);
}

.modal-login_btn a {
    background: var(--bg3);
    margin-left: 20px;
}

.modal-login_btn a:hover {
    opacity: 0.8;
}

.modal-login_soc span {
    display: block;
    color: #767389;
    margin: 20px 0;
}

.modal-login_soc .e-flex {
    align-items: center;
    justify-content: center;
}

.modal-login_soc .e-flex > a, .modal-login_soc .e-flex a > img {
    width: 40px;
    height: 40px;
    margin: 0 10px;
}

/* UP CUT */
.up-cat {
}

.up-cat a {
    display: inline-block;
    border: 1px solid var(--dark);
    border-radius: var(--radius);
    padding: 10px 15px;
    font-weight: 600;
}

.up-cat a:hover {
    border: 1px solid var(--color1);
    color: var(--color1);
}

.up-cat a:nth-child(2n+1) i {
    background: #e9ecff;
}

.up-cat a:nth-child(2n+2) i {
    background: #ffbca1;
}

.up-cat a:nth-child(2n+3) i {
    background: #f6ceff;
}

.up-cat a:nth-child(2n+4) i {
    background: #dcf1ff;
}

.up-cat a i {
    display: inline-block;
    background: #f5e4c3;
    color: var(--color1);
    border-radius: 10px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    margin-right: 10px;
}

/* UP SHORT */
.up-short {
}

.up-short h1 {
    display: flex;
    align-items: center;
}

.up-short h1 i {
    display: inline-block;
    background: #f5e4c3;
    color: var(--color1);
    border-radius: 10px;
    width: 50px;
    height: 50px;
    line-height: 50px;
    font-size: 25px;
    text-align: center;
    margin-right: 20px;
}

.up-short_items {
    grid-gap: 30px 30px;
}

.up-short_item:nth-child(1) {
    position: relative;
    width: 100%;
    grid-column: 1 / 3;
}

@media (max-width: 860px) {
    .up-short_item:nth-child(1) {
        grid-column: auto;
    }
}

.up-short_item:nth-child(1) .up-short_bg {
    height: 60vh;
}

.up-short_item:nth-child(1) .up-short_bg:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(30,34,46,.56);
    z-index: 2;
}

.up-short_item:hover .up-short_bg img {
    transform: scale(1.05);
}

.up-short_item .up-short_bg img {
    transition: 0.3s;
}

.up-short_bg {
    position: relative;
    display: block;
    border-radius: var(--radius);
    border: 1px solid var(--dark);
    width: 100%;
    height: 35vh;
    overflow: hidden;
}

.up-short_bg span {
    cursor: pointer;
    transition: background 0.3s;
}

.up-short_bg:hover span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgb(71 104 224 / 70%);
    color: var(--text1);
    padding: 40px;
    font-weight: bold;
    text-transform: uppercase;
}

.up-short_content {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    color: var(--text1);
    padding: 30px;
    z-index: 2;
}

.up-short_item:nth-child(1) .up-short_meta {
    color: #a7aec9;
}

.up-short_meta {
    display: flex;
    align-items: center;
    color: #696e82;
    margin: 10px 0;
}

.up-short_meta span + span {
    margin-left: 20px;
}

.up-short_meta span i {
    margin-left: 5px;
}

.up-short_title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 10px;
}

.up-short_title:hover {
    color: var(--color1);
}

.up-short_text, .up-short_text p {
    color: #3a425a;
    font-size: 14px;
    line-height: 1.5;
}

/* UP FULL */
.up-full {
    display: grid;
    grid-gap: 30px;
    grid-auto-rows: max-content;
    grid-template-columns: 300px 1fr;
}

@media (max-width: 860px) {
    .up-full {
        display: grid;
        grid-template-columns: 100%;
    }

    .up-full_one {
        order: 2;
    }
}

.up-full_one > a:first-child {
    background: var(--bg2);
    padding: 5px 10px;
    border-radius: var(--radius);
    font-size: 16px;
    font-weight: 300;
    margin-bottom: 30px;
}

.up-full_one > a:first-child i {
    background: var(--bg);
    border-radius: 50%;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    margin-right: 15px;
}

.up-full_rel {
    position: relative;
    margin: 20px 0;
}

.up-rel_item {
    display: flex;
    align-items: center;
    color: #1e222e;
    margin-bottom: 10px;
}

.up-rel_item > img {
    display: inline-block;
    max-width: 100px;
    min-width: 100px;
    object-fit: cover;
    height: 70px;
    border-radius: 15px;
    margin-right: 15px;
}

.up-rel_item > span {
    font-size: 16px;
    font-weight: 600;
}

.up-rel_item:hover span {
    color: var(--color1);
}

.up-full_two > img {
    display: inline-block;
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: var(--radius);
    margin-bottom: 30px;
}

.up-full_meta {
    display: flex;
    align-items: center;
    color: #696e82;
    font-weight: 300;
    margin-bottom: 30px;
}

.up-full_meta span + span {
    margin-left: 20px;
}

.up-full_meta span i {
    margin-left: 5px;
}

.up-full_text, .up-full_text p {
    font-size: 16px;
    line-height: 1.8;
}

.up-full_soc > span {
    display: block;
    font-size: 18px;
    color: #696e82;
    margin-bottom: 10px;
}

.up-telg {
    position: relative;
    border-radius: var(--radius);
    height: 400px;
    margin-bottom: 30px;
    overflow: hidden;
}

.up-telg_text {
    position: absolute;
    left: 0;
    bottom: 0;
    color: var(--text1);
    padding: 30px;
}

.up-telg_text > a {
    display: inline-block;
    background: var(--light);
    backdrop-filter: blur(10px);
    padding: 15px 30px;
    border-radius: var(--radius);
    text-transform: uppercase;
}

.up-full .dle-comm {
    margin-top: 30px;
}

/* FOOTER */
footer {
    position: relative;
    background: var(--bg3);
    color: #fff;
    padding-top: 20px;
}

.footer-soc, .footer-menu {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    margin: 20px;
}

.footer-soc > a {
    display: inline-block;
    background: var(--light);
    color: #a3a7bc;
    border-radius: 50%;
    width: 45px;
    height: 45px;
    line-height: 45px;
    font-size: 25px;
    text-align: center;
}

.footer-soc > a:hover {
    background: var(--color1);
    color: var(--text1);
}

.footer-menu > a {
    color: #a3a7bc;
    font-size: 14px;
}

.footer-menu > a:hover {
    color: var(--color1);
}

.footer-menu > a + a, .footer-soc > a + a {
    margin-left: 20px;
}

.footer-down {
    border-top: 1px solid var(--light);
    padding: 15px 0;
    margin-top: 30px;
}

.footer-down .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-down .container > span {
    opacity: 0.4;
    font-size: 12px;
}

.footer-down > a, .footer-down a > img {
    display: inline-block;
    width: 80px;
    height: auto;
}

.footer-dev {
    color: #797882;
    font-size: 12px;
}

.footer-dev > a {
    color: var(--color1);
    margin-left: 5px;
}